/*
* demo.css
* File include item demo only specific css only
******************************************************************************/



/* loader */
.loading-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
  z-index: 9998; /* Letakkan di bawah .load-bar tapi di atas elemen lainnya */
  display: flex;
  justify-content: center;
  align-items: center;
}

.load-bar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 4px;
  /* background-color: #696CFF; */
  z-index: 9999;
}

.bar {
  content: "";
  display: inline;
  position: absolute;
  width: 0;
  height: 100%;
  left: 0;
  text-align: center;
}

.bar:nth-child(1) {
  background-color: #696CFF;
  animation: loading 4s linear infinite;
}

.bar:nth-child(2) {
  background-color: #FFAB00;
  animation: loading 4s linear 1s infinite;
}

.bar:nth-child(3) {
  background-color: #696CFF;
  animation: loading 4s linear 2s infinite;
}

@keyframes loading {
  from {
    left: 0;
    width: 0;
    z-index: 100;
  }
  33.3333% {
    left: 0;
    width: 100%;
    z-index: 10;
  }
  to {
    left: 0;
    width: 100%;
  }
}

/* end-loader */

.menu .app-brand.demo {
  height: 64px;
  margin-top: 12px;
}

.app-brand-image-container {
  width: 111px;
  height: 111px;
  flex-shrink: 0;
  margin-left: 77px;
  margin-right: 107px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-image {
  width: 100px;
  height: 100px;
}

.app-brand-text {
  font-weight: bold;
  margin-top: 300px;
  /* margin-top: 30px; */
}
.app-brand-demo {
  padding-top: 10px;
  margin-bottom: 20px;
}
.menu-inner {
  margin-top: 20px;
}

.app-brand-text.demo {
  font-family: "Poppins", sans-serif;
  font-size: 25px;
  font-weight: 800;
  margin-left: 40px;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 76px;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem;
  margin-bottom: 0;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem;
  margin-bottom: 0;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem;
  margin-bottom: 0;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0;
}

.rtl-only {
  display: none;
  text-align: left;
  direction: ltr;
}

[dir='rtl'] .rtl-only {
  display: block;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}


/* teks scrooling */
.scrolling-container {
    width: 100%;
    overflow: hidden;
}

#scrolling-text {
    white-space: nowrap;
    animation: scrollText 5s linear infinite; /* Sesuaikan durasi animasi jika diperlukan */
}

@keyframes scrollText {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-100%);
    }
}
